:root {
  --border: url('data:image/svg+xml,%3csvg width=%27100%25%27 height=%27100%25%27 xmlns=%27http://www.w3.org/2000/svg%27%3e%3crect width=%27100%25%27 height=%27100%25%27 fill=%27none%27 rx=%27200%27 ry=%27200%27 stroke=%27%2300C7B6FF%27 stroke-width=%278%27 stroke-dasharray=%27.15%25%2c5%25%27 stroke-dashoffset=%270%27 stroke-linecap=%27square%27/%3e%3c/svg%3e');

  --bg-color-start: #ffa315;
  --bg-color-end: #e8e8e8;

  --main-color: #5c5c5c;
  --text-color: #ffffff;
  --border-color: #ffffff;
  --button-hover: #c2c2c2;
}

html,
body {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
}

body {
  background: linear-gradient(
        119.36deg,
        var(--bg-color-start) 0%,
        var(--bg-color-end) 100%
      )
      fixed,
    var(--main-color);
  color: var(--text-color);
  font-family: 'Roboto', sans-serif;
  min-height: 100%;
  height: auto;
  position: relative;
}

#content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

h1,
h2 {
  margin-bottom: 0;
}

h1 {
  font-weight: 100;
  font-size: max(min(92px, 9vw), 42px);
  text-align: center;
}

h2 {
  font-weight: 100;
  font-size: max(min(64px, 6vw), 28px);
  text-align: center;
  margin-top: 40px;
}

.header {
  margin-top: 40px;
  margin-bottom: 50px;
}

.logo-container {
  display: flex;
  justify-content: center;
  max-width: 450px;
  margin: 0 auto;
  padding: 0 20px;
  position: relative;
}
.logo-container img {
  width: 250px;
}
@media only screen and (min-width: 425px) {
  .logo-container img {
    width: 260px;
  }
}
@media only screen and (min-width: 500px) {
  .logo-container img {
    width: 300px;
  }
}
.logo-container:before {
  content: '';
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 560px;
  max-height: 560px;
  width: 77%;
  height: 116%;
  background-image: var(--border);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100% 100%;
  border-radius: 50%;
  animation: spin 80s linear infinite;
}

#middle {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  width: 1000px;
  max-width: 100vw;
}

.inputBox {
  display: flex;
  flex-direction: column;
  width: min(350px, calc(50vw - 32px));
}

.inputBox label {
  font-size: max(min(36px, 5vw), 24px);
  font-weight: 300;
}

.inputBox input {
  border: none;
  border-bottom: 3px solid rgba(255, 255, 255, 0.5);
  background: none;
  color: rgba(255, 255, 255, 0.8);
  font-size: max(min(96px, 9vw), 32px);
  width: 100%;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input,
button {
  font-family: 'Roboto', sans-serif;
  outline: none;
}

input:focus {
  color: var(--text-color);
  border-bottom: 4px solid var(--border-color);
}

.button {
  background: rgba(255, 255, 255, 0.8);
  border-radius: 10000px;
  color: var(--main-color);
  font-weight: 300;
  font-size: max(min(36px, 5.5vw), 24px);
  border: 3px solid var(--border-color);
  cursor: pointer;
  padding: 16px 64px;
  margin: 1.34em;
}

.button:hover {
  background: var(--button-hover);
}

.button.disabled {
  background: rgba(255, 255, 255, 0.5);
  border: 3px solid rgba(255, 255, 255, 0.5);
  cursor: not-allowed;
}

#bottom {
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 1000px;
  max-width: 100vw;
  padding-bottom: 20px;
}

.small label {
  font-size: max(min(24px, 4.5vw), 18px);
  transition: all 200ms ease;
}

.small input {
  font-size: max(min(36px, 5.5vw), 18px) !important;
  transition: all 200ms ease;
  width: 100%;
}

.small {
  width: min(112px, 100%);
  transition: all 200ms ease;
  margin: 0 12px;
}

.hidden {
  opacity: 0 !important;
}

.noDisplay {
  display: none;
}

#number {
  font-size: min(118px, 12vw);
  transition: all 200ms ease;
  opacity: 0.5;
  margin: 0;
  min-height: 210px;

  display: flex;
  align-items: center;
}

#number.largeNumber {
  font-size: min(172px, 20vw) !important;
  opacity: 1;
  transition: all 200ms ease;

  animation: blink 1.5s linear infinite;
}

@media only screen and (max-width: 600px) {
  .button {
    padding: 12px 24px;
  }
}

.copyright {
  position: absolute;
  bottom: 10px;
  right: 5px;

  font-size: max(min(22px, 3.5vw), 10px);
  font-family: 'DM Sans', sans-serif;
}

/* 
  * Keyframes and animations
 */

@keyframes spin {
  0% {
    transform: translate(-50%, -50%) rotate(0);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

@keyframes blink {
  0% {
    opacity: 0.6;
    transform: scale(1);
  }
  50% {
    opacity: 1;
    transform: scale(1.15);
  }
  100% {
    opacity: 0.6;
    transform: scale(1);
  }
}
